import admin_tools.dashboard
from django.views.generic import TemplateView
from django.conf.urls import url
from django.views.generic import RedirectView
from django.urls import path, include
from django.contrib import admin
from django.conf import settings
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

from django.views import i18n
from django.conf.urls.static import static
from django.contrib.sitemaps.views import sitemap
admin_tools.dashboard.autodiscover()

js_catalog_info = {
    'domain': 'djangojs',
    'packages': ('web',),
}
urlpatterns = [
    path('admin/', admin.site.urls),
    path('admin_tools/', include('admin_tools.urls')),
] + staticfiles_urlpatterns()

if settings.DEBUG:
    if settings.ENABLE_DEBUG_TOOLBAR:
        import debug_toolbar
        urlpatterns += [
            path('__debug__/', include(debug_toolbar.urls)),
        ]
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += [path(r'', include('django.contrib.staticfiles.urls'))]
